      PROGRAM FIG7P3
      PARAMETER(N=5)
      REAL GRID(N), ERROR(N)
      DATA  GRID/      11.0,      21.0,      31.0,      41.0,      51.0/
      DATA ERROR/  0.002828,  0.000822,  0.000382,  0.000219,  0.000142/
      DO 1 I=1,N
       GRID(I)=ALOG10(1.0/(GRID(I)-1.0))
      ERROR(I)=ALOG10(ERROR(I))
1     CONTINUE
C...
C...  OPEN FILE FOR TOP DRAWER PLOTTING      
      OPEN(4,FILE='T.TOP',STATUS='NEW')
C...
C...  WRITE TOP DRAW FILE FOR PLOTTING ERRORS
      WRITE(4,2)
2     FORMAT(' SET LIMITS X FROM -2 TO -0.75 Y FROM -4 TO -1',/,
     1       ' SET FONT DUPLEX',/,
     2       ' SET SYMBOL 0P',/,
     3       ' TITLE LEFT "Log(error)"',/,
     4       ' TITLE BOTTOM "Log(DX)"')
C...
C...  SET THE CASE NUMBER FOR THE PLOT LABEL
C...  NCASE=1
      WRITE(4,3)(GRID(I),ERROR(I),I=1,N)
3     FORMAT(2F10.3)
      WRITE(4,4)
4     FORMAT(' JOIN ',/,' PLOT')
C...
C...  COMPUTE THE SLOPE OF THE PLOT
      SLOPE=(ERROR(5)-ERROR(1))/
     +      (ALOG10(1.0/(51.0-1.0))-ALOG10(1.0/(11.0-1.0)))
      WRITE(*,*)'ERROR(5) = ',ERROR(5),
     +          'ERROR(1) = ',ERROR(1),
     +           ' SLOPE = ',SLOPE
      STOP
      END
